org.codehaus.groovy.runtime.callsite

## Class ConstructorMetaMethodSite

- java.lang.Object
- - org.codehaus.groovy.runtime.callsite.AbstractCallSite
  - - org.codehaus.groovy.runtime.callsite.MetaClassSite
    - - org.codehaus.groovy.runtime.callsite.MetaMethodSite
      - - org.codehaus.groovy.runtime.callsite.ConstructorMetaMethodSite

All Implemented Interfaces:
  CallSite

    public class ConstructorMetaMethodSite
    extends MetaMethodSite

Call site for invoking static methods meta class - cached method - not cached

### Field Summary

### Fields inherited from class org.codehaus.groovy.runtime.callsite.MetaMethodSite

`params`

### Fields inherited from class org.codehaus.groovy.runtime.callsite.MetaClassSite

`metaClass`

### Fields inherited from class org.codehaus.groovy.runtime.callsite.AbstractCallSite

`array, index, name`

### Constructor Summary

Constructors
Constructor and Description
`ConstructorMetaMethodSite(CallSite site, MetaClassImpl metaClass, MetaMethod method, java.lang.Class[] params)`

### Method Summary

Methods
`java.lang.Object` `callConstructor(java.lang.Object receiver, java.lang.Object[] args)`
`java.lang.Object` `invoke(java.lang.Object receiver, java.lang.Object[] args)`

### Methods inherited from class org.codehaus.groovy.runtime.callsite.AbstractCallSite

`acceptGetProperty, acceptGroovyObjectGetProperty, call, call, call, call, call, call, callConstructor, callConstructor, callConstructor, callConstructor, callConstructor, callCurrent, callCurrent, callCurrent, callCurrent, callCurrent, callCurrent, callGetProperty, callGetPropertySafe, callGroovyObjectGetProperty, callGroovyObjectGetPropertySafe, callSafe, callSafe, callSafe, callSafe, callSafe, callSafe, callStatic, callStatic, callStatic, callStatic, callStatic, callStatic, createGetPropertySite, createGroovyObjectGetPropertySite, getArray, getIndex, getName, getProperty`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### ConstructorMetaMethodSite

    public ConstructorMetaMethodSite(CallSite site,
                             MetaClassImpl metaClass,
                             MetaMethod method,
                             java.lang.Class[] params)

### Method Detail

#### invoke

    public final java.lang.Object invoke(java.lang.Object receiver,
                          java.lang.Object[] args)
                                  throws java.lang.Throwable

Throws:
  `java.lang.Throwable`

#### callConstructor

    public final java.lang.Object callConstructor(java.lang.Object receiver,
                                   java.lang.Object[] args)
                                           throws java.lang.Throwable

Specified by:
  `callConstructor` in interface `CallSite`
Overrides:
  `callConstructor` in class `AbstractCallSite`
Throws:
  `java.lang.Throwable`